@mail-thread-avatar-size: 36px;
@mail-thread-icon-opacity: 0.6;
@mail-thread-side-date-opacity: 0.6;
@mail-thread-note: fade(@gray-lighter-dark, 50%);

.o_mail_thread, .o_mail_activity {
    .o_thread_show_more {
        text-align: center;
    }

    .o_thread_date_separator {
        margin-top: 15px;
        margin-bottom: 30px;
        @media (max-width: @screen-xs-max) {
            margin-top: 0px;
            margin-bottom: 15px;
        }
        border-bottom: 1px solid @gray-lighter-darker;
        text-align: center;

        .o_thread_date {
            position: relative;
            top: 10px;
            margin: 0 auto;
            padding: 0 10px;
            font-weight: bold;
            background: white;
        }
    }

    .o_thread_new_messages_separator {
        margin-bottom: 15px;
        border-bottom: solid lighten(@odoo-brand-primary, 15%) 1px;
        text-align: right;
        .o_thread_separator_label {
            position: relative;
            top: 8px;
            padding: 0 10px;
            background: white;
            color: lighten(@odoo-brand-primary, 15%);
            font-size: smaller;
        }
    }

    .o_thread_message {
        .o-flex-display();
        padding: 4px @odoo-horizontal-padding;
        margin-bottom: 0px;

        .o_thread_message_sidebar {
            .o-flex(0, 0, @mail-thread-avatar-size);
            margin-right: 10px;
            margin-top: 2px;
            text-align: center;
            font-size: smaller;

            @media (max-width: @screen-xs-max) {
                margin-top: 4px;
                font-size: x-small;
            }

            .o_thread_message_avatar {
                max-width: @mail-thread-avatar-size;
            }
            .o_thread_message_side_date {
                margin-left: -5px;
            }
            .o_thread_message_star {
                margin-right: -5px;
            }

            .o_thread_message_side_date {
                opacity: 0;
            }
        }
        .o_thread_icon {
            cursor: pointer;
            opacity: 0;
            &.fa-star {
                opacity: @mail-thread-icon-opacity;
                color: #666666 ~'!important';
            }
        }

        &:hover, &.o_thread_selected_message {
            .o_thread_message_side_date {
                opacity: @mail-thread-side-date-opacity;
            }
            .o_thread_icon {
                opacity: @mail-thread-icon-opacity;
                &:hover {
                    opacity: 1;
                }
            }
        }

        .o_mail_redirect {
            cursor: pointer;
        }

        .o_thread_message_core {
            .o-flex(1, 1, auto);
            min-width: 0;
            max-width: 100%;
            word-wrap: break-word;

            &.o_mail_note {
                background-color: @mail-thread-note;
                padding-left: @grid-gutter-width*0.3;
                border-bottom: 1px solid @gray-lighter-darker;
            }

            .o_mail_subject {
                font-style: italic;
            }

            .o_mail_notification {
                font-style: italic;
                color: gray;
            }

            [summary~=o_mail_notification] { // name conflicts with channel notifications, but is TigernixERP notification buttons to hide in chatter if present
                display: none;
            }

            p {
                margin: 0 0 9px; // Required by the old design to override a general rule on p's
                &:last-child {
                    margin-bottom: 0;
                }
            }
            a {
                display: inline-block;
                word-break: break-all;
            }
            img {
                max-width: 100%;
            }

            .o_mail_body_long {
                display: none;
            }

            .o_mail_info {
                margin-bottom: 2px;
                .text-muted();
                .o_mail_mailto, .o_mail_mailto:hover {
                    .text-muted();
                }

                strong {
                    color: @headings-color;
                }
            }

            .o_thread_message_star, .o_thread_message_needaction, .o_thread_message_reply, .o_thread_message_email {
                padding: 4px;
            }

            i.o_thread_message_email {
                &.o_thread_message_email_ready {
                    color: grey;
                }
                &.o_thread_message_email_exception {
                    color: red;
                    opacity: 1;
                }
                &.o_thread_message_email_bounce {
                    color: red;
                    opacity: 1;
                }
            }

            .o_thread_tooltip_container {
                display: inline;
                position: relative;

                .o_thread_tooltip_content {
                    top: 10px;
                    background: @gray-lighter;
                    padding: 4px;
                    border: solid @gray-lighter 1px;
                    border-radius: 5px;
                    color: gray;
                    width: 300px;
                    display: none;
                    opacity: 0;
                    position: absolute;
                    transition: opacity 0.5s;
                    i.fa-exclamation {
                        color: red;
                    }
                }

                .o_thread_tooltip:hover + .o_thread_tooltip_content {
                    display: inline;
                    opacity: 1;
                }
            }
        }
    }
    .o_thread_title {
        margin-top: 20px;
        margin-bottom: 20px;
        font-size: 20px;
    }

    .o_mail_no_content {
        .o-webclient-padding();
    }

    .o_thread_message .o_thread_message_core .o_mail_read_more {
        display: block;
    }
}

.o_web_client.o_touch_device {
    .o_mail_thread .o_thread_icon {
        opacity: @mail-thread-icon-opacity;
    }
}
